## Name

asin — return the arcsine of the parameter

## Declaration

`genType asin(` | genType x`)`;

## Parameters

`x`

  Specify the value whose arcsine to return.

## Description

`atan` returns the angle whose trigonometric sine is x. The range of values returned by `asin` is − 2 2 . The result is undefined if x 1.

## Version Support

| OpenGL Shading Language Version
--- | ---
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
asin | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

## See Also

sin, cos, acos, tan

## Copyright

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.